%define name	sim
%define version	0.9.2
%define release	3.%{cvsver}.3mdk
%define cvsver 20040128

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Name:		%name
Summary:	A QT/KDE ICQ instant messaging client
Version:	%version
Release:	%release
Source:		%{name}-%{cvsver}.tar.bz2
Patch0:		%name-bufferlength.patch.bz2
License:	GPL
Group:		Networking/Instant messaging
Url:		http://sim-icq.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libqt3 > 3.0.4, kdelibs > 3.0
BuildRequires:	kdelibs-devel > 3.0
BuildRequires:  autoconf2.5, automake1.7
BuildRequires:	libfam-devel
BuildRequires:	flex
#Patch1:		msnmsgsend.patch.bz2

%description
Sim is a QT icq client with enhanced features and special support for KDE2/3. 
The icq v8 protocol (2001) is supported. It also supports MSN and Jabber.

Features:
- receiving and sending SMS
- server-side contact list
- receiving and the sending messages in RTF-format
- phone directory support 
- file transfers
- chat
- user search
- non-ICQ contacts
- support Miranda icon themes
- Floating
- Spam filter
- user encoding
- secure direct connection with SIM and Licq
- message or chat mode for user window
- On-Screen display notification about messages and user status
- keyboard shortcuts
- Message forwarding
- Sending of the messages to several users 

%package -n %libname
Summary:	Sim library
Group:		System/Libraries

%description -n %libname
Sim is a QT icq client with enhanced features and special support for KDE2/3.
The icq v8 protocol (2001) is supported. It also supports MSN and Jabber.

Libraries

%package -n %libnamedev
Summary:        Sim library
Group:          System/Libraries
Requires:	%libname = %version
Provides:	libsim-devel

%description -n %libnamedev
Sim is a QT icq client with enhanced features and special support for KDE2/3.
The icq v8 protocol (2001) is supported. It also supports MSN and Jabber.

Devel files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%{cvsver}

%patch0 -p 1

%build

WANT_AUTOCONF_2_5=1 gmake -f admin/Makefile.common

#WANT_AUTOCONF_2_5=1 gmake -f admin/Makefile.common

# mdk libtool doesn't know the --tag option. why is that?
# kick this out in every Makefile.in!
for i in `find sim/ -name Makefile.in`; do perl -pi -e 's/^(LTCXXCOMPILE.*?)\s*--tag=CXX/$1/' "$i"; done
for i in `find sim/ -name Makefile.in`; do perl -pi -e 's/^(CXXLINK.*?)\s*--tag=CXX/$1/' "$i"; done
for i in `find plugins/ -name Makefile.in`; do perl -pi -e 's/^(LTCXXCOMPILE.*?)\s*--tag=CXX/$1/' "$i"; done
for i in `find plugins/ -name Makefile.in`; do perl -pi -e 's/^(CXXLINK.*?)\s*--tag=CXX/$1/' "$i"; done

%configure --disable-rpath
%make

%install
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.png" section="Networking/Instant messaging" \
title="SIM" longtitle="Simple Instant Messenger."
EOF

%{find_lang} %{name}

%post
%{update_menus}

%post -n %libname -p /sbin/ldconfig

%postun
%{clean_menus}

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/sim
%{_bindir}/simctrl
%{_datadir}/apps/%name
%{_datadir}/applnk-mdk/Internet/sim.desktop
%{_datadir}/mimelnk/application/x-icq.desktop
%{_datadir}/services/simctrl.desktop
%{_iconsdir}/hicolor/*/*/*
%{_iconsdir}/locolor/*/*/*
%doc ChangeLog README
%{_menudir}/*

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root,0755)
%{_libdir}/*.so
%{_libdir}/*.la

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.3mdk
- really apply patch !

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.2mdk
- Patch0: fix UIN length problem (from .cpp file on Sim-icq-man ML)

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.1mdk
- update to 20040128 cvs

* Thu Jan 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- rebuild

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- 0.9.2
	- drop patch1: merged

* Fri Dec 05 2003 Franck Villaume <fvill@freesurf.fr> 0.9.1-3mdk
- add BuildRequires : flex

* Wed Nov 19 2003 Matthias Debus <psic4t@netbands.de> 0.9.1-2mdk
- patch1: fix msn message sending

* Sun Nov 09 2003 Matthias Debus <psic4t@netbands.de> 0.9.1-1mdk
- new version
- back out patch1: merged

* Wed Nov 05 2003 Matthias Debus <psic4t@netbands.de> 0.9-2mdk

- patch1: fix icq login sequence
- requires

* Mon Nov 03 2003 Matthias Debus <psic4t@netbands.de> 0.9-1mdk
- new version

* Tue Oct 07 2003 Matthias Debus <psic4t@netbands.de> 0.9-0.1mdk
- new cvs snapshot with msn and jabber connectors
- back out patch1: merged
- don't call libtool with --tag option  

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-2mdk
- rebuild

* Mon Aug 04 2003 Matthias Debus <psic4t@netbands.de> 0.8.3-1mdk 
- new version

* Fri May 09 2003 Matthias Debus <psic4t@netbands.de> 0.8.2-1mdk 
- build requires
- new version
- patch1: don't hardcode applnk path

* Wed Jan 08 2003 Matthias Debus <psic4t@netbands.de> 0.8.1-2mdk 
- rebuild

* Wed Dec 18 2002 Matthias Debus <psic4t@netbands.de> 0.8.1-1mdk
- new version

* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1-0.2mdk
- don't hardcore arch in binary name

* Wed Nov 21 2002 Matthias Debus <psic4t@netbands.de> 0.8.1-0.1mdk
- new cvs snapshot (20021121), because 0.8 does not compile with qt3.1
- rebuild with qt 3.1

* Wed Oct 23 2002 Matthias Debus <psic4t@netbands.de> 0.8-1mdk
- 0.8 final

* Sun Oct 06 2002 Matthias Debus <psic4t@netbands.de> 0.8-0.6mdk
- Spec file cleanup
- First contrib package

* Mon Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-0.5mdk
- New CVS version
- new numbering scheme, assuming that this is not 0.8 but a pre
  release (not very clear)

* Mon Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-4mdk
- New CVS version

* Thu Sep 12 2002 Oded Arbel <oded@geek.co.il> 0.8-3mdk
- New CVS version

* Thu Sep  9 2002 Oded Arbel <oded@geek.co.il> 0.8-2mdk
- Make menu entry work (stolen from GAIM)

* Thu Sep  9 2002 Oded Arbel <oded@geek.co.il> 0.8-1mdk
- release 0.8
- Added menu entry

* Thu Aug 25 2002 Oded Arbel <oded@geek.co.il> 0.7-1mdk
- release 0.7

* Thu Aug 24 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020824mdk
- New CVS snapshot

* Thu Aug 23 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020823mdk
- New CVS snapshot

* Thu Aug 20 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020820mdk
- New CVS snapshot

* Thu Aug 15 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020815mdk
- First Mandrake 9 package for SIM by me
